<template>
  <div class="home-box">
    <div class="logo">
      <img src="../assets/images/logo.png" alt="" />
    </div>
    <div class="main">
      <div class="title">欢迎来到陕图高新馆区</div>
      <div class="function-btn">
        <img class="function-icon" src="../assets/images/image.png" alt="" />
        <div class="function-content-box">
          <div class="function-title">我是你专属的AI智能图书检索助手</div>
          <el-button :color="screenWidth > 375 ? '#6e3d3c' : '#af8c56'" style="padding: 8px 20px"
            :size="screenWidth > 375 ? 'large' : ''" round @click="handleChat">
            <span class="btn-text">AI找书</span>
            <img style="margin-left: 5px" src="../assets/images/zuo.png" alt="" />
          </el-button>
        </div>
      </div>
    </div>

  </div>
</template>

<script setup lang="ts">
import { ref } from 'vue'
import { useRouter } from 'vue-router'
const router = useRouter()

const screenWidth = ref(window.innerWidth)

const handleChat = () => {
  router.push('/start')
}
</script>

<style scoped lang="less">
@media screen and (max-width: 750px) {
  .home-box {
    width: 100%;
    height: 100%;
    background-image: url('@/assets/images/beijing1.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    position: relative;

    .logo {
      position: absolute;
      height: 32px;
      width: 120px;
      bottom: 0;
      left: 0;
      right: 0;
      height: auto;
      margin: auto;
      margin-bottom: 10px;

      img {
        width: 100%;
      }
    }

    .main{
      height: calc(100% - 100px);
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
     
    }

    .title {
      width: 45px;
      height: auto;
      margin: auto;
      text-align: center;
      font-size: 45px;
      font-family: 'FZZHAOM';
      font-weight: 400;
      color: #fff;
      line-height: 38px;
    }

    .function-btn {
      margin: auto;
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;

      .function-icon {
        width: 75px;
        margin-right: 10px;
      }

      .function-content-box {
        .function-title {
          margin-bottom: 15px;
          font-size: 16px;
          font-weight: 700;
          color: #764418;
        }

        .btn-text {
          color: #fff;
        }
      }
    }
  }
}

@media screen and (min-width: 750px) {
  .home-box {
    width: 100%;
    height: 100%;
    background-image: url('@/assets/images/beijing1.png');
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    padding-top: 60px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;

    .logo {
      width: 1200px;
      min-width: 1200px;
      margin-bottom: 60px;
    }

    .title {
      width: 100%;
      text-align: center;
      font-size: 100px;
      font-family: 'FZZHAOM';
      font-weight: 400;
      color: #fff;
      letter-spacing: 5px;
      min-width: 1200px;
    }

    .function-btn {
      width: 100%;
      min-width: 1200px;
      display: flex;
      justify-content: center;
      align-items: center;

      .function-icon {
        width: 170px;
        height: 170px;
        margin-right: 50px;
      }

      .function-content-box {
        height: 140px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        margin-left: 5px;

        .function-title {
          font-size: 35px;
          color: #77471f;
        }

        .btn-text {
          margin-right: 5px;
          font-size: 18px;
          font-weight: 700px;
        }
      }
    }
  }
}
</style>
